Name:       gps-manager
Summary:    GPS Manager for Tizen
Version:    0.2.44
Release:    1
Group:      TO_BE/FILLED_IN
License:    TO_BE/FILLED_IN
Source0:    %{name}-%{version}.tar.gz
Source1:    gps-manager.service
Source2:    gps-manager.conf
Source1001: 	gps-manager.manifest
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(network)
BuildRequires:  pkgconfig(tapi)
BuildRequires:  pkgconfig(vconf)
BuildRequires:  pkgconfig(sysman)
BuildRequires:  pkgconfig(msg-service)
BuildRequires:  pkgconfig(dlog)
BuildRequires:  pkgconfig(pmapi)
BuildRequires:  pkgconfig(location)
BuildRequires:  pkgconfig(lbs-dbus)
BuildRequires:  pkgconfig(gio-unix-2.0)

%description
GPS Manager for Tizen


%package -n location-gps-manager
Summary:    GPS Manager for Tizen
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description -n location-gps-manager
GPS Manager for Tizen


%package -n gps-manager-plugin-devel
Summary:    GPS Manager for Tizen (development files)
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description -n gps-manager-plugin-devel
GPS Manager for Tizen (development files)


%prep
%setup -q
cp %{SOURCE1001} .

%ifarch %{arm}
%define GPS_ENABLER --enable-gps
%define ARCH armel
%else
%define GPS_ENABLER --enable-gps
%define ARCH x86
%endif

./autogen.sh
./configure --prefix=%{_prefix} %{GPS_ENABLER}


%build
make %{?jobs:-j%jobs}

%install
rm -rf %{buildroot}
%make_install

mkdir -p %{buildroot}/usr/lib/systemd/system/multi-user.target.wants
install -m 644 %{SOURCE1} %{buildroot}/usr/lib/systemd/system/gps-manager.service
ln -s ../gps-manager.service %{buildroot}/usr/lib/systemd/system/multi-user.target.wants/gps-manager.service

# temoprary HW configuration. it should be seperated.
mkdir -p %{buildroot}/etc/sysconfig
install -m 644 %{SOURCE2} %{buildroot}/etc/sysconfig/gps-manager

%clean
rm -rf %{buildroot}


%post
#GPS Indicator value
vconftool set -t int memory/location/position/state "0" -i
vconftool set -t int memory/location/gps/state "0" -i
vconftool set -t int memory/location/wps/state "0" -i

#GPS_SETTING
vconftool set -t int db/location/gps/Operation "1" -f
vconftool set -t int db/location/gps/Starting "0" -f
vconftool set -t int db/location/gps/Session "1" -f

#SUPL_SETTING
vconftool set -t int db/location/supl/ServerFQDNType "0" -f
vconftool set -t string db/location/supl/Server "bcmls2.glpals.com" -f
vconftool set -t int db/location/supl/Port "7275" -f
vconftool set -t int db/location/supl/SslEnabled "0" -f

#NMEA_SETTING
vconftool set -t int db/location/nmea/LoggingEnabled "0" -f

#REPLAY_SETTING
vconftool set -t string db/location/replay/FileName "nmea_replay.log" -f
%ifarch %arm
	vconftool set -t int db/location/replay/ReplayEnabled "0" -f
	vconftool set -t int db/location/replay/ReplayMode "1" -f
%else
	vconftool set -t int db/location/replay/ReplayEnabled "1" -f
	vconftool set -t int db/location/replay/ReplayMode "0" -f
%endif
vconftool set -t double db/location/replay/ManualLatitude "0.0" -f
vconftool set -t double db/location/replay/ManualLongitude "0.0" -f
vconftool set -t double db/location/replay/ManualAltitude "0.0" -f

%post -n location-gps-manager
%ifnarch %arm
	cp -f /usr/lib/location/module/libgps.so /usr/lib/location/module/libwps0.so
%endif

%postun -p /sbin/ldconfig

%files
%manifest %{name}.manifest
%defattr(-,root,root,-)
/usr/libexec/gps-manager
/usr/share/dbus-1/system-services/org.tizen.lbs.Providers.GpsManager.service
/usr/share/lbs/gps-manager.provider
/etc/rc.d/init.d/gps-manager
/etc/rc.d/rc3.d/S90gps-manager
/etc/rc.d/rc5.d/S90gps-manager
/usr/lib/systemd/system/gps-manager.service
/usr/lib/systemd/system/multi-user.target.wants/gps-manager.service
# temoprary HW configuration. it should be seperated.
/etc/sysconfig/gps-manager

%files -n location-gps-manager
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_libdir}/location/module/libgps.so*

%files -n gps-manager-plugin-devel
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/gps-manager-plugin.pc
%{_includedir}/gps-manager-plugin/*.h

